DISCO(1)

NAME
disco - the DiscoDOS CLI

SYNOPSIS
disco [--help] [--verbose] [--offline] {search,mix,suggest,import,setup} ...

DESCRIPTION

DiscoDOS helps a DJ remember and analyze what they played in their sets, or what they could possibly play in the future. It's based on data pulled from a users Discogs record collection. Tracks can be organized into playlists and mix-transitions rated. Additionally the collection can be linked to the online music information services MusicBrainz and AcousticBrainz, thus further information (like musical key and BPM) is made available to the user.

DiscoDOS currently is available as a command line tool only, though prototypes of a mobile and a desktop app exist already. Despite of what the name implies, it's just the look that is reminiscent of the 80s/90s operating system, its usability follows most standards of a typical shell utility you would find on a UNIX-like operating system. It is aimed to support modern Linux, MacOS and Windows systems.

SUBCOMMANDS

search
    searches for releases and tracks in the Discogs collection. Several actions can be executed on the found items, eg. adding to a mix, updating track info from Discogs or fetching additional information from MusicBrainz/AcousticBrainz. View this subcommand's help: "disco search -h ".

mix manages your mixes. View this subcommand's help: "disco mix -h "

suggest
    suggests tracks based on what you've played before or views tracks based on BPM or musical key. View this subcommand's help: "disco suggest -h ".

import
    imports your whole Discogs collection or just single releases. View this subcommand's help: "disco import -h ".

setup
    sets up the DiscoBASE and handles database schema upgrades. View this subcommand's help: "disco setup -h ".

OPTIONS

-h, --help
    show this help message and exit

-v, --verbose
    increases output verbosity / shows what DiscoDOS is doing under the hood ( -v is INFO level, -vv is DEBUG level).

-o, --offline
    DiscoDOS checks for connectivity to online services (Discogs, MusicBrainz, AcousticBrainz) itself. This option forces offline mode. A lot of options work in on- and offline mode. Some behave differently, depending on connection state.

FILES

~/.discodos/config.yaml
    the DiscoDOS configuration file.

~/.discodos/discobase.db
    the DiscoDOS database file (aka the DiscoBASE).

~/.discodos/debug.log
    the DiscoDOS log file.

EXAMPLES

Step by step tutorials and in-detail explanations of all DiscoDOS commands can be found on the README and User's Manual pages: https://github.com/JOJ0/discodos/blob/master/README.md https://github.com/JOJ0/discodos/blob/master/MANUAL.md

AUTHORS
J0J0 T <jt@peek-a-boo.at>

Special thanks go to Samplissimo for testing and feature ideas, to Schobernoise for motivation and a GUI draft and most of all to Gold Fisch for her patience while Doogie Howser wrote in his diary!

SEE ALSO
disco_mix(1), disco-search(1), disco-import(1), disco-suggest(1) discosync(1)